
function mklink_func {
#    if [ -d openshift-cluster ]; then
#        mklink_func "openshift-cluster"
#    fi

    name=$(basename "$1")
#    [[ $name == "private" ]] && exit
    [[ $name == "vars" ]] && exit
    [[ $name == "roles" ]] && exit
    
    (
        cd $1
        path=..
        while [ ! -f "$path/link_vars.sh" ]; do
            path="../$path"
        done
        path="../$path"

        ln -sf "$path/group_vars"
        ln -sf "$path/host_vars"
    )
}

export -f mklink_func
find openshift-ansible/playbooks -mindepth 0 -maxdepth 2 -type d -print0 | xargs -0 -L 1 -I {} bash -c 'mklink_func "$@"' _ {}
find openshift-ansible/playbooks/common/openshift-cluster/upgrades -mindepth 0 -maxdepth 1 -type d -print0 | xargs -0 -L 1 -I {} bash -c 'mklink_func "$@"' _ {}
